Skip to content

[Deprecated] Always empty; saves now come back from the Given and All routes.

Deprecated
POST
/activities/profile/saved-posts
curl --request POST \
--url https://api.ethos.network/api/v2/activities/profile/saved-posts \
--header 'Content-Type: application/json' \
--data '{ "userkey": "example", "cursor": 1, "limit": 50 }'
Media typeapplication/json
object
userkey
required
string
cursor
integer
<= 9007199254740991
limit
integer
default: 50 >= 1 <= 100

Successful response

Media typeapplication/json
object
nextCursor
required
number | null
values
required
Array<object>
object

Example generated

{
"nextCursor": 1,
"values": [
{}
]
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}